# RowRecordWrapper

Package io.milvus.response.basic

## Class RowRecordWrapper

- java.lang.Object
- - io.milvus.response.basic.RowRecordWrapper

Direct Known Subclasses:
  `QueryResultsWrapper`, `SearchResultsWrapper`

    public abstract class RowRecordWrapper
    extends java.lang.Object

### Constructor Summary

Constructors
`RowRecordWrapper()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected QueryResultsWrapper.RowRecord` `buildRowRecord​(QueryResultsWrapper.RowRecord record, long index)` Gets a row record from result.
`FieldDataWrapper` `getDynamicWrapper()` Get the dynamic field.
`protected abstract java.util.List<io.milvus.grpc.FieldData>` `getFieldDataList()`
`protected abstract java.util.List<java.lang.String>` `getOutputFields()`
`abstract java.util.List<QueryResultsWrapper.RowRecord>` `getRowRecords()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RowRecordWrapper

    public RowRecordWrapper()

### Method Detail

#### getRowRecords

    public abstract java.util.List<QueryResultsWrapper.RowRecord> getRowRecords()

#### getDynamicWrapper

    public FieldDataWrapper getDynamicWrapper()
                                       throws ParamException

Get the dynamic field. Only available when a collection's dynamic field is enabled. Throws `ParamException` if the dynamic field doesn't exist.

Returns:
  `FieldDataWrapper`
Throws:
  `ParamException`

#### buildRowRecord

    protected QueryResultsWrapper.RowRecord buildRowRecord​(QueryResultsWrapper.RowRecord record,
                                                           long index)

Gets a row record from result. Throws `ParamException` if the index is illegal.

Returns:
  `RowRecord` a row record of the result

#### getFieldDataList

    protected abstract java.util.List<io.milvus.grpc.FieldData> getFieldDataList()

#### getOutputFields

    protected abstract java.util.List<java.lang.String> getOutputFields()